ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | Q&A answers.ros.org
Ask Your Question

Revision history [back]

Hello, I think we'll need more information to help, can you specify more clearly which packages you are trying to use and what error messages you have ? Some people got the kinect v2 working on ROS : http://www.ros.org/news/2014/09/microsoft-kinect-v2-driver-released.html . Do you really have to use kinect v2 to do that ? Otherwise, you could do 2D SLAM quite easily with a kinect v1 on ROS.

Hello, I think we'll need more information to help, can you specify more clearly which packages you are trying to use and what error messages you have ? Some people got the kinect v2 working on ROS : http://www.ros.org/news/2014/09/microsoft-kinect-v2-driver-released.html . Do you really have to use kinect v2 to do that ? Otherwise, you could do 2D SLAM quite easily with a kinect v1 on ROS.

EDIT : I managed to build and install libfrennect2 : While installing libfrennect2, configure of libusb failed because some dependencies were missing, so no Makefile was generated, and the script install_ubuntu.sh failed. If you have this error saying libusb.h is missing, try these, it worked for me (second line might not be necessary):

sudo apt-get install build-essential libturbojpeg libtool autoconf libudev-dev cmake mesa-common-dev freeglut3-dev libxrandr-dev doxygen libxi-dev libopencv-dev
sudo apt-get build-dep xserver-xorg-video-intel

Hello, I think we'll need more information to help, can you specify more clearly which packages you are trying to use and what error messages you have ? Some people got the kinect v2 working on ROS : http://www.ros.org/news/2014/09/microsoft-kinect-v2-driver-released.html . Do you really have to use kinect v2 to do that ? Otherwise, you could do 2D SLAM quite easily with a kinect v1 on ROS.

EDIT : I managed to build and install libfrennect2 : While installing libfrennect2, configure of libusb failed because some dependencies were missing, so no Makefile was generated, and the script install_ubuntu.sh failed. If you have this error saying libusb.h is missing, try these, this first, as described in the iai_kinect2 github page , it worked for me (second line might not be necessary)::

 sudo apt-get install build-essential libturbojpeg libtool autoconf libudev-dev cmake mesa-common-dev freeglut3-dev libxrandr-dev doxygen libxi-dev libopencv-dev
sudo apt-get build-dep xserver-xorg-video-intel

Hello, I think we'll need more information to help, can you specify more clearly which packages you are trying to use and what error messages you have ? Some people got the kinect v2 working on ROS : http://www.ros.org/news/2014/09/microsoft-kinect-v2-driver-released.html . Do you really have to use kinect v2 to do that ? Otherwise, you could do 2D SLAM quite easily with a kinect v1 on ROS.

EDIT : I managed to build and install libfrennect2 : While installing libfrennect2, configure of libusb failed because some dependencies were missing, so no Makefile was generated, and the script install_ubuntu.sh failed. If you have this error saying libusb.h is missing, try this first, as described in the iai_kinect2 github page , it worked for me :

 sudo apt-get install build-essential libturbojpeg libtool autoconf libudev-dev cmake mesa-common-dev freeglut3-dev libxrandr-dev doxygen libxi-dev libopencv-dev